diff -ruN squid-2.5.STABLE11/ChangeLog squid-2.5.STABLE12/ChangeLog
--- squid-2.5.STABLE11/ChangeLog	Thu Sep 22 02:15:05 2005
+++ squid-2.5.STABLE12/ChangeLog	Thu Oct 20 11:46:07 2005
@@ -1,3 +1,31 @@
+Changes to squid-2.5.STABLE12 (22 Oct 2005)
+
+	- [Major] Error introduced in 2.5.STABLE11 causing truncated responses
+	  when using delay pools (Bug #1405)
+	- [Cosmetic] Document that tcp_outgoing_* works badly in combination
+	  with server_persistent_connections (Bug #454)
+	- [Cosmetic] Add additinal tracing to squid_ldap_auth making
+	  diagnostics easier on squid_ldap_auth configuration errors
+	  (Bug #1395)
+	- [Minor] $HOME not set when started as root (Bug #1401)
+	- [Minor] httpd_accel_single_host breaks in combination with
+	  server_persistent_connections (Bug #1402)
+	- [Cosmetic] Setting CACHE_HTTP_PORT to configure was only partially
+	  implemented, effectively ignored. (Bug #1403)
+	- [Minor] CNAME based DNS addresses could get cached for longer
+	  than intended (Bug #1404)
+	- [Minor] Incorrect handling of squid-internal-dynamic/netdb exchanges
+	  in transparently intercepting proxies (Bug #1410).
+	- [Minor] Cache revalidations on HEAD requests causing poor cache
+	  hit ratio (Bug #1411).
+	- [Minor] Not possible to send 302 redirects via a redirector in
+	  response to CONNECT requests (bug #1412)
+	- [Minor] Incorrect handling of Set-Cookie on cache refreshes (Bug
+	  #1419)
+	- [Major] Segmentation fault crash in rfc1738_do_escape (Bug #1426)
+	- [Minor] Delay pools class 3 fails on clients in network 255
+	  (Bug #1431)
+	
 Changes to squid-2.5.STABLE11 (22 Sep 2005)
 
 	- [Minor] Workaround for servers sending double content-length headers
diff -ruN squid-2.5.STABLE11/Makefile.in squid-2.5.STABLE12/Makefile.in
--- squid-2.5.STABLE11/Makefile.in	Fri Mar 18 17:55:36 2005
+++ squid-2.5.STABLE12/Makefile.in	Wed Sep 28 14:57:13 2005
@@ -14,7 +14,7 @@
 @SET_MAKE@
 
 #
-# $Id: Makefile.in,v 1.6.2.24 2005/03/19 00:55:36 hno Exp $
+# $Id: Makefile.in,v 1.6.2.25 2005/09/28 20:57:13 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -69,6 +69,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/RELEASENOTES.html squid-2.5.STABLE12/RELEASENOTES.html
--- squid-2.5.STABLE11/RELEASENOTES.html	Thu Sep 22 02:16:38 2005
+++ squid-2.5.STABLE12/RELEASENOTES.html	Sat Oct 22 03:56:18 2005
@@ -1,13 +1,13 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <HTML>
 <HEAD>
- <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.16">
- <TITLE>Squid 2.5.STABLE11 release notes</TITLE>
+ <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.21">
+ <TITLE>Squid 2.5.STABLE12 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 2.5.STABLE11 release notes</H1>
+<H1>Squid 2.5.STABLE12 release notes</H1>
 
-<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.62 2005/09/20 23:44:04 hno Exp $
+<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.65 2005/10/18 16:14:30 hno Exp $
 <HR>
 <EM>This document contains the release notes for version 2.5 of Squid.
 Squid is a WWW Cache application developed by the National Laboratory
@@ -450,6 +450,20 @@
 </LI>
 <LI>a number of other minor and cosmetic bugfixes. See the list of 
 <A HREF="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE10">squid-2.5.STABLE10 patches</A> and the 
+<A HREF="ChangeLog">ChangeLog</A> file for details.</LI>
+</UL>
+</P>
+
+<H2><A NAME="s14">14. Key changes squid-2.5.STABLE11 to 2.5.STABLE12:</A></H2>
+
+<P>
+<UL>
+<LI>Truncated responses when using delay pools</LI>
+<LI>Set-Cookie lost on cache revalidations</LI>
+<LI>Segmentation fault in rfc1738_do_escape
+</LI>
+<LI>a number of other minor and cosmetic bugfixes. See the list of 
+<A HREF="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE11">squid-2.5.STABLE11 patches</A> and the 
 <A HREF="ChangeLog">ChangeLog</A> file for details.</LI>
 </UL>
 </P>
diff -ruN squid-2.5.STABLE11/configure squid-2.5.STABLE12/configure
--- squid-2.5.STABLE11/configure	Thu Sep 22 02:16:26 2005
+++ squid-2.5.STABLE12/configure	Sat Oct 22 03:56:01 2005
@@ -1027,7 +1027,7 @@
 
 # Define the identity of the package.
 PACKAGE=squid
-VERSION=2.5.STABLE11
+VERSION=2.5.STABLE12
 cat >> confdefs.h <<EOF
 #define PACKAGE "$PACKAGE"
 EOF
@@ -1078,7 +1078,7 @@
 
   
 
-# From configure.in Revision: 1.251.2.101 
+# From configure.in Revision: 1.251.2.105 
 echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
 echo "configure:1084: checking whether to enable maintainer-specific portions of Makefiles" >&5
     # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
@@ -1739,11 +1739,13 @@
 #define CACHE_HTTP_PORT $CACHE_HTTP_PORT
 EOF
 
+
 cat >> confdefs.h <<EOF
 #define CACHE_ICP_PORT $CACHE_ICP_PORT
 EOF
 
 
+
 cat >> confdefs.h <<EOF
 #define CONFIG_HOST_TYPE "$host"
 EOF
@@ -3049,7 +3051,7 @@
 
 if test "$require_sasl" = "yes"; then
 	echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:3053: checking how to run the C preprocessor" >&5
+echo "configure:3055: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -3064,13 +3066,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 3068 "configure"
+#line 3070 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3074: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3076: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -3081,13 +3083,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 3085 "configure"
+#line 3087 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3091: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3093: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -3098,13 +3100,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 3102 "configure"
+#line 3104 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3108: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3110: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -3132,17 +3134,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:3136: checking for $ac_hdr" >&5
+echo "configure:3138: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3141 "configure"
+#line 3143 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3146: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3148: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3276,7 +3278,7 @@
 esac
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:3280: checking how to run the C preprocessor" >&5
+echo "configure:3282: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -3291,13 +3293,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 3295 "configure"
+#line 3297 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3301: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3303: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -3308,13 +3310,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 3312 "configure"
+#line 3314 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3318: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3320: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -3325,13 +3327,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 3329 "configure"
+#line 3331 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3335: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3337: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -3367,7 +3369,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:3371: checking for a BSD compatible install" >&5
+echo "configure:3373: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3422,7 +3424,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3426: checking for $ac_word" >&5
+echo "configure:3428: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3450,7 +3452,7 @@
 fi
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:3454: checking whether ln -s works" >&5
+echo "configure:3456: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3473,7 +3475,7 @@
 # Extract the first word of "sh", so it can be a program name with args.
 set dummy sh; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3477: checking for $ac_word" >&5
+echo "configure:3479: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_SH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3509,7 +3511,7 @@
 # Extract the first word of "false", so it can be a program name with args.
 set dummy false; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3513: checking for $ac_word" >&5
+echo "configure:3515: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_FALSE'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3545,7 +3547,7 @@
 # Extract the first word of "true", so it can be a program name with args.
 set dummy true; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3549: checking for $ac_word" >&5
+echo "configure:3551: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_TRUE'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3581,7 +3583,7 @@
 # Extract the first word of "rm", so it can be a program name with args.
 set dummy rm; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3585: checking for $ac_word" >&5
+echo "configure:3587: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_RM'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3617,7 +3619,7 @@
 # Extract the first word of "mv", so it can be a program name with args.
 set dummy mv; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3621: checking for $ac_word" >&5
+echo "configure:3623: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_MV'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3653,7 +3655,7 @@
 # Extract the first word of "mkdir", so it can be a program name with args.
 set dummy mkdir; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3657: checking for $ac_word" >&5
+echo "configure:3659: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_MKDIR'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3689,7 +3691,7 @@
 # Extract the first word of "ln", so it can be a program name with args.
 set dummy ln; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3693: checking for $ac_word" >&5
+echo "configure:3695: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_LN'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3725,7 +3727,7 @@
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3729: checking for $ac_word" >&5
+echo "configure:3731: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3761,7 +3763,7 @@
 # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3765: checking for $ac_word" >&5
+echo "configure:3767: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_AR'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3821,12 +3823,12 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr that defines DIR""... $ac_c" 1>&6
-echo "configure:3825: checking for $ac_hdr that defines DIR" >&5
+echo "configure:3827: checking for $ac_hdr that defines DIR" >&5
 if eval "test \"`echo '$''{'ac_cv_header_dirent_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3830 "configure"
+#line 3832 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_hdr>
@@ -3834,7 +3836,7 @@
 DIR *dirp = 0;
 ; return 0; }
 EOF
-if { (eval echo configure:3838: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3840: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   eval "ac_cv_header_dirent_$ac_safe=yes"
 else
@@ -3859,7 +3861,7 @@
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
 echo $ac_n "checking for opendir in -ldir""... $ac_c" 1>&6
-echo "configure:3863: checking for opendir in -ldir" >&5
+echo "configure:3865: checking for opendir in -ldir" >&5
 ac_lib_var=`echo dir'_'opendir | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3867,7 +3869,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldir  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3871 "configure"
+#line 3873 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3878,7 +3880,7 @@
 opendir()
 ; return 0; }
 EOF
-if { (eval echo configure:3882: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3884: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3900,7 +3902,7 @@
 
 else
 echo $ac_n "checking for opendir in -lx""... $ac_c" 1>&6
-echo "configure:3904: checking for opendir in -lx" >&5
+echo "configure:3906: checking for opendir in -lx" >&5
 ac_lib_var=`echo x'_'opendir | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -3908,7 +3910,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lx  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 3912 "configure"
+#line 3914 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3919,7 +3921,7 @@
 opendir()
 ; return 0; }
 EOF
-if { (eval echo configure:3923: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3925: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3942,12 +3944,12 @@
 fi
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:3946: checking for ANSI C header files" >&5
+echo "configure:3948: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3951 "configure"
+#line 3953 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -3955,7 +3957,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3959: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3961: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3972,7 +3974,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 3976 "configure"
+#line 3978 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -3990,7 +3992,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 3994 "configure"
+#line 3996 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -4011,7 +4013,7 @@
   :
 else
   cat > conftest.$ac_ext <<EOF
-#line 4015 "configure"
+#line 4017 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -4022,7 +4024,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:4026: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4028: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -4133,17 +4135,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4137: checking for $ac_hdr" >&5
+echo "configure:4139: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4142 "configure"
+#line 4144 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4147: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4149: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4171,12 +4173,12 @@
 
 
 echo $ac_n "checking for working const""... $ac_c" 1>&6
-echo "configure:4175: checking for working const" >&5
+echo "configure:4177: checking for working const" >&5
 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4180 "configure"
+#line 4182 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -4225,7 +4227,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4229: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4231: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_const=yes
 else
@@ -4246,14 +4248,14 @@
 fi
 
 echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
-echo "configure:4250: checking whether byte ordering is bigendian" >&5
+echo "configure:4252: checking whether byte ordering is bigendian" >&5
 if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_cv_c_bigendian=unknown
 # See if sys/param.h defines the BYTE_ORDER macro.
 cat > conftest.$ac_ext <<EOF
-#line 4257 "configure"
+#line 4259 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/param.h>
@@ -4264,11 +4266,11 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:4268: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4270: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   # It does; now see whether it defined to BIG_ENDIAN or not.
 cat > conftest.$ac_ext <<EOF
-#line 4272 "configure"
+#line 4274 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/param.h>
@@ -4279,7 +4281,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:4283: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4285: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_bigendian=yes
 else
@@ -4299,7 +4301,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4303 "configure"
+#line 4305 "configure"
 #include "confdefs.h"
 main () {
   /* Are we little or big endian?  From Harbison&Steele.  */
@@ -4312,7 +4314,7 @@
   exit (u.c[sizeof (long) - 1] == 1);
 }
 EOF
-if { (eval echo configure:4316: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4318: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_c_bigendian=no
 else
@@ -4337,20 +4339,20 @@
 
 
 echo $ac_n "checking if ANSI prototypes work""... $ac_c" 1>&6
-echo "configure:4341: checking if ANSI prototypes work" >&5
+echo "configure:4343: checking if ANSI prototypes work" >&5
 if eval "test \"`echo '$''{'ac_cv_have_ansi_prototypes'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 4347 "configure"
+#line 4349 "configure"
 #include "confdefs.h"
 int foo(char *); int foo (char *bar) {return 1;}
 int main() {
 foo("bar")
 ; return 0; }
 EOF
-if { (eval echo configure:4354: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4356: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_ansi_prototypes="yes"
 else
@@ -4372,13 +4374,13 @@
 fi
 
 echo $ac_n "checking for tm->tm_gmtoff""... $ac_c" 1>&6
-echo "configure:4376: checking for tm->tm_gmtoff" >&5
+echo "configure:4378: checking for tm->tm_gmtoff" >&5
 if eval "test \"`echo '$''{'ac_cv_have_tm_gmoff'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 4382 "configure"
+#line 4384 "configure"
 #include "confdefs.h"
 #include <time.h>
 #include <sys/time.h>
@@ -4387,7 +4389,7 @@
       foo.tm_gmtoff = 0;
 ; return 0; }
 EOF
-if { (eval echo configure:4391: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4393: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_tm_gmoff="yes"
 else
@@ -4409,13 +4411,13 @@
 fi
 
 echo $ac_n "checking for struct mallinfo""... $ac_c" 1>&6
-echo "configure:4413: checking for struct mallinfo" >&5
+echo "configure:4415: checking for struct mallinfo" >&5
 if eval "test \"`echo '$''{'ac_cv_have_struct_mallinfo'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 4419 "configure"
+#line 4421 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if HAVE_MALLOC_H
@@ -4433,7 +4435,7 @@
     foo.keepcost = 0;
 ; return 0; }
 EOF
-if { (eval echo configure:4437: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4439: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_struct_mallinfo="yes"
 else
@@ -4455,13 +4457,13 @@
 fi
 
 echo $ac_n "checking for extended mallinfo""... $ac_c" 1>&6
-echo "configure:4459: checking for extended mallinfo" >&5
+echo "configure:4461: checking for extended mallinfo" >&5
 if eval "test \"`echo '$''{'ac_cv_have_ext_mallinfo'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 4465 "configure"
+#line 4467 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <malloc.h>
@@ -4470,7 +4472,7 @@
       foo.mxfast = 0;
 ; return 0; }
 EOF
-if { (eval echo configure:4474: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4476: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_ext_mallinfo="yes"
 else
@@ -4492,13 +4494,13 @@
 fi
 
 echo $ac_n "checking for struct rusage""... $ac_c" 1>&6
-echo "configure:4496: checking for struct rusage" >&5
+echo "configure:4498: checking for struct rusage" >&5
 if eval "test \"`echo '$''{'ac_cv_have_struct_rusage'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 4502 "configure"
+#line 4504 "configure"
 #include "confdefs.h"
 
 #if HAVE_SYS_TIME_H
@@ -4511,7 +4513,7 @@
 struct rusage R;
 ; return 0; }
 EOF
-if { (eval echo configure:4515: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4517: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_struct_rusage="yes"
 else
@@ -4533,13 +4535,13 @@
 fi
 
 echo $ac_n "checking for ip->ip_hl""... $ac_c" 1>&6
-echo "configure:4537: checking for ip->ip_hl" >&5
+echo "configure:4539: checking for ip->ip_hl" >&5
 if eval "test \"`echo '$''{'ac_cv_have_ip_hl'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 4543 "configure"
+#line 4545 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <netinet/in.h>
@@ -4558,7 +4560,7 @@
       ip.ip_hl= 0;
 ; return 0; }
 EOF
-if { (eval echo configure:4562: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4564: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_ip_hl="yes"
 else
@@ -4580,7 +4582,7 @@
 fi
 
 echo $ac_n "checking size of void *""... $ac_c" 1>&6
-echo "configure:4584: checking size of void *" >&5
+echo "configure:4586: checking size of void *" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_void_p'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4588,7 +4590,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4592 "configure"
+#line 4594 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -4599,7 +4601,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4603: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4605: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_void_p=`cat conftestval`
 else
@@ -4619,7 +4621,7 @@
 
 
 echo $ac_n "checking size of short""... $ac_c" 1>&6
-echo "configure:4623: checking size of short" >&5
+echo "configure:4625: checking size of short" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_short'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4627,7 +4629,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4631 "configure"
+#line 4633 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -4638,7 +4640,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4642: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4644: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_short=`cat conftestval`
 else
@@ -4658,7 +4660,7 @@
 
 
 echo $ac_n "checking size of int""... $ac_c" 1>&6
-echo "configure:4662: checking size of int" >&5
+echo "configure:4664: checking size of int" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4666,7 +4668,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4670 "configure"
+#line 4672 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -4677,7 +4679,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4681: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_int=`cat conftestval`
 else
@@ -4697,7 +4699,7 @@
 
 
 echo $ac_n "checking size of long""... $ac_c" 1>&6
-echo "configure:4701: checking size of long" >&5
+echo "configure:4703: checking size of long" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4705,7 +4707,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4709 "configure"
+#line 4711 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -4716,7 +4718,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4720: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4722: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_long=`cat conftestval`
 else
@@ -4736,7 +4738,7 @@
 
 
 echo $ac_n "checking size of long long""... $ac_c" 1>&6
-echo "configure:4740: checking size of long long" >&5
+echo "configure:4742: checking size of long long" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_long_long'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4744,7 +4746,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4748 "configure"
+#line 4750 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 main()
@@ -4755,7 +4757,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4759: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4761: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_long_long=`cat conftestval`
 else
@@ -4775,7 +4777,7 @@
 
 
 echo $ac_n "checking size of __int64""... $ac_c" 1>&6
-echo "configure:4779: checking size of __int64" >&5
+echo "configure:4781: checking size of __int64" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof___int64'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4783,7 +4785,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4787 "configure"
+#line 4789 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -4809,7 +4811,7 @@
 }
 
 EOF
-if { (eval echo configure:4813: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4815: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof___int64=`cat conftestval`
 else
@@ -4829,7 +4831,7 @@
 
 
 echo $ac_n "checking size of int16_t""... $ac_c" 1>&6
-echo "configure:4833: checking size of int16_t" >&5
+echo "configure:4835: checking size of int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4837,7 +4839,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4841 "configure"
+#line 4843 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -4863,7 +4865,7 @@
 }
 
 EOF
-if { (eval echo configure:4867: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4869: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_int16_t=`cat conftestval`
 else
@@ -4883,7 +4885,7 @@
 
 
 echo $ac_n "checking size of uint16_t""... $ac_c" 1>&6
-echo "configure:4887: checking size of uint16_t" >&5
+echo "configure:4889: checking size of uint16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_uint16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4891,7 +4893,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4895 "configure"
+#line 4897 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -4917,7 +4919,7 @@
 }
 
 EOF
-if { (eval echo configure:4921: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4923: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_uint16_t=`cat conftestval`
 else
@@ -4937,7 +4939,7 @@
 
 
 echo $ac_n "checking size of u_int16_t""... $ac_c" 1>&6
-echo "configure:4941: checking size of u_int16_t" >&5
+echo "configure:4943: checking size of u_int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_u_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4945,7 +4947,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4949 "configure"
+#line 4951 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -4971,7 +4973,7 @@
 }
 
 EOF
-if { (eval echo configure:4975: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4977: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_u_int16_t=`cat conftestval`
 else
@@ -4991,7 +4993,7 @@
 
 
 echo $ac_n "checking size of int32_t""... $ac_c" 1>&6
-echo "configure:4995: checking size of int32_t" >&5
+echo "configure:4997: checking size of int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -4999,7 +5001,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 5003 "configure"
+#line 5005 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -5025,7 +5027,7 @@
 }
 
 EOF
-if { (eval echo configure:5029: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:5031: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_int32_t=`cat conftestval`
 else
@@ -5045,7 +5047,7 @@
 
 
 echo $ac_n "checking size of uint32_t""... $ac_c" 1>&6
-echo "configure:5049: checking size of uint32_t" >&5
+echo "configure:5051: checking size of uint32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_uint32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -5053,7 +5055,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 5057 "configure"
+#line 5059 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -5079,7 +5081,7 @@
 }
 
 EOF
-if { (eval echo configure:5083: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:5085: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_uint32_t=`cat conftestval`
 else
@@ -5099,7 +5101,7 @@
 
 
 echo $ac_n "checking size of u_int32_t""... $ac_c" 1>&6
-echo "configure:5103: checking size of u_int32_t" >&5
+echo "configure:5105: checking size of u_int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_u_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -5107,7 +5109,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 5111 "configure"
+#line 5113 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -5133,7 +5135,7 @@
 }
 
 EOF
-if { (eval echo configure:5137: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:5139: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_u_int32_t=`cat conftestval`
 else
@@ -5153,7 +5155,7 @@
 
 
 echo $ac_n "checking size of int64_t""... $ac_c" 1>&6
-echo "configure:5157: checking size of int64_t" >&5
+echo "configure:5159: checking size of int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -5161,7 +5163,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 5165 "configure"
+#line 5167 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -5187,7 +5189,7 @@
 }
 
 EOF
-if { (eval echo configure:5191: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:5193: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_int64_t=`cat conftestval`
 else
@@ -5207,7 +5209,7 @@
 
 
 echo $ac_n "checking size of uint64_t""... $ac_c" 1>&6
-echo "configure:5211: checking size of uint64_t" >&5
+echo "configure:5213: checking size of uint64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_uint64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -5215,7 +5217,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 5219 "configure"
+#line 5221 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -5241,7 +5243,7 @@
 }
 
 EOF
-if { (eval echo configure:5245: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:5247: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_uint64_t=`cat conftestval`
 else
@@ -5261,7 +5263,7 @@
 
 
 echo $ac_n "checking size of u_int64_t""... $ac_c" 1>&6
-echo "configure:5265: checking size of u_int64_t" >&5
+echo "configure:5267: checking size of u_int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_u_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -5269,7 +5271,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 5273 "configure"
+#line 5275 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -5295,7 +5297,7 @@
 }
 
 EOF
-if { (eval echo configure:5299: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:5301: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_u_int64_t=`cat conftestval`
 else
@@ -5317,12 +5319,12 @@
 
 if test "x$ac_cv_sizeof_short" = "x2"; then
 	echo $ac_n "checking for int16_t""... $ac_c" 1>&6
-echo "configure:5321: checking for int16_t" >&5
+echo "configure:5323: checking for int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5326 "configure"
+#line 5328 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5366,12 +5368,12 @@
 
 elif test "x$ac_cv_sizeof_int" = "x2"; then
 	echo $ac_n "checking for int16_t""... $ac_c" 1>&6
-echo "configure:5370: checking for int16_t" >&5
+echo "configure:5372: checking for int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5375 "configure"
+#line 5377 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5416,12 +5418,12 @@
 fi
 if test "x$ac_cv_sizeof_uint16_t" = "x2"; then
 	echo $ac_n "checking for u_int16_t""... $ac_c" 1>&6
-echo "configure:5420: checking for u_int16_t" >&5
+echo "configure:5422: checking for u_int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5425 "configure"
+#line 5427 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5465,12 +5467,12 @@
 
 elif test "x$ac_cv_sizeof_short" = "x2"; then
 	echo $ac_n "checking for u_int16_t""... $ac_c" 1>&6
-echo "configure:5469: checking for u_int16_t" >&5
+echo "configure:5471: checking for u_int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5474 "configure"
+#line 5476 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5514,12 +5516,12 @@
 
 elif test "x$ac_cv_sizeof_int" = "x2"; then
 	echo $ac_n "checking for u_int16_t""... $ac_c" 1>&6
-echo "configure:5518: checking for u_int16_t" >&5
+echo "configure:5520: checking for u_int16_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int16_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5523 "configure"
+#line 5525 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5564,12 +5566,12 @@
 fi
 if test "x$ac_cv_sizeof_int" = "x4"; then
 	echo $ac_n "checking for int32_t""... $ac_c" 1>&6
-echo "configure:5568: checking for int32_t" >&5
+echo "configure:5570: checking for int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5573 "configure"
+#line 5575 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5613,12 +5615,12 @@
 
 elif "x$ac_cv_sizeof_long" = "x4"; then
 	echo $ac_n "checking for int32_t""... $ac_c" 1>&6
-echo "configure:5617: checking for int32_t" >&5
+echo "configure:5619: checking for int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5622 "configure"
+#line 5624 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5663,12 +5665,12 @@
 fi
 if test "x$ac_cv_sizeof_uint32_t" = "x4"; then
 	echo $ac_n "checking for u_int32_t""... $ac_c" 1>&6
-echo "configure:5667: checking for u_int32_t" >&5
+echo "configure:5669: checking for u_int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5672 "configure"
+#line 5674 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5712,12 +5714,12 @@
 
 elif test "x$ac_cv_sizeof_int" = "x4"; then
 	echo $ac_n "checking for u_int32_t""... $ac_c" 1>&6
-echo "configure:5716: checking for u_int32_t" >&5
+echo "configure:5718: checking for u_int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5721 "configure"
+#line 5723 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5761,12 +5763,12 @@
 
 elif test "x$ac_cv_sizeof_long" = "x4"; then
 	echo $ac_n "checking for u_int32_t""... $ac_c" 1>&6
-echo "configure:5765: checking for u_int32_t" >&5
+echo "configure:5767: checking for u_int32_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int32_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5770 "configure"
+#line 5772 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5811,12 +5813,12 @@
 fi
 if test "x$ac_cv_sizeof_long" = "x8"; then
 	echo $ac_n "checking for int64_t""... $ac_c" 1>&6
-echo "configure:5815: checking for int64_t" >&5
+echo "configure:5817: checking for int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5820 "configure"
+#line 5822 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5860,12 +5862,12 @@
 
 elif test "x$ac_cv_sizeof_long_long" = "x8"; then
 	echo $ac_n "checking for int64_t""... $ac_c" 1>&6
-echo "configure:5864: checking for int64_t" >&5
+echo "configure:5866: checking for int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5869 "configure"
+#line 5871 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5909,12 +5911,12 @@
 
 elif test "x$ac_cv_sizeof___int64" = "x8"; then
 	echo $ac_n "checking for int64_t""... $ac_c" 1>&6
-echo "configure:5913: checking for int64_t" >&5
+echo "configure:5915: checking for int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5918 "configure"
+#line 5920 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -5959,12 +5961,12 @@
 fi
 if test "x$ac_cv_sizeof_uint64_t" = "x8"; then
 	echo $ac_n "checking for u_int64_t""... $ac_c" 1>&6
-echo "configure:5963: checking for u_int64_t" >&5
+echo "configure:5965: checking for u_int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 5968 "configure"
+#line 5970 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -6008,12 +6010,12 @@
 
 elif test "x$ac_cv_sizeof_long" = "x8"; then
 	echo $ac_n "checking for u_int64_t""... $ac_c" 1>&6
-echo "configure:6012: checking for u_int64_t" >&5
+echo "configure:6014: checking for u_int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6017 "configure"
+#line 6019 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -6057,12 +6059,12 @@
 
 elif test "x$ac_cv_sizeof_long_long" = "x8"; then
 	echo $ac_n "checking for u_int64_t""... $ac_c" 1>&6
-echo "configure:6061: checking for u_int64_t" >&5
+echo "configure:6063: checking for u_int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_u_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6066 "configure"
+#line 6068 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -6106,12 +6108,12 @@
 
 elif test "x$ac_cv_sizeof___int64" = "x8"; then
 	echo $ac_n "checking for int64_t""... $ac_c" 1>&6
-echo "configure:6110: checking for int64_t" >&5
+echo "configure:6112: checking for int64_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_int64_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6115 "configure"
+#line 6117 "configure"
 #include "confdefs.h"
 
 /* What a mess.. many systems have added the (now standard) bit types
@@ -6156,12 +6158,12 @@
 fi
 
 echo $ac_n "checking for pid_t""... $ac_c" 1>&6
-echo "configure:6160: checking for pid_t" >&5
+echo "configure:6162: checking for pid_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_pid_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6165 "configure"
+#line 6167 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -6189,12 +6191,12 @@
 fi
 
 echo $ac_n "checking for size_t""... $ac_c" 1>&6
-echo "configure:6193: checking for size_t" >&5
+echo "configure:6195: checking for size_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6198 "configure"
+#line 6200 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -6222,12 +6224,12 @@
 fi
 
 echo $ac_n "checking for ssize_t""... $ac_c" 1>&6
-echo "configure:6226: checking for ssize_t" >&5
+echo "configure:6228: checking for ssize_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_ssize_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6231 "configure"
+#line 6233 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -6255,12 +6257,12 @@
 fi
 
 echo $ac_n "checking for off_t""... $ac_c" 1>&6
-echo "configure:6259: checking for off_t" >&5
+echo "configure:6261: checking for off_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_off_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6264 "configure"
+#line 6266 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -6288,12 +6290,12 @@
 fi
 
 echo $ac_n "checking for mode_t""... $ac_c" 1>&6
-echo "configure:6292: checking for mode_t" >&5
+echo "configure:6294: checking for mode_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_mode_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6297 "configure"
+#line 6299 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -6321,12 +6323,12 @@
 fi
 
 echo $ac_n "checking for fd_mask""... $ac_c" 1>&6
-echo "configure:6325: checking for fd_mask" >&5
+echo "configure:6327: checking for fd_mask" >&5
 if eval "test \"`echo '$''{'ac_cv_type_fd_mask'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6330 "configure"
+#line 6332 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -6355,7 +6357,7 @@
 
 
 echo $ac_n "checking size of off_t""... $ac_c" 1>&6
-echo "configure:6359: checking size of off_t" >&5
+echo "configure:6361: checking size of off_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_off_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -6363,7 +6365,7 @@
   ac_cv_sizeof_off_t=4
 else
   cat > conftest.$ac_ext <<EOF
-#line 6367 "configure"
+#line 6369 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -6389,7 +6391,7 @@
 }
 
 EOF
-if { (eval echo configure:6393: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:6395: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_off_t=`cat conftestval`
 else
@@ -6409,7 +6411,7 @@
 
 
 echo $ac_n "checking size of size_t""... $ac_c" 1>&6
-echo "configure:6413: checking size of size_t" >&5
+echo "configure:6415: checking size of size_t" >&5
 if eval "test \"`echo '$''{'ac_cv_sizeof_size_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -6417,7 +6419,7 @@
   ac_cv_sizeof_size_t=4
 else
   cat > conftest.$ac_ext <<EOF
-#line 6421 "configure"
+#line 6423 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -6443,7 +6445,7 @@
 }
 
 EOF
-if { (eval echo configure:6447: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:6449: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_sizeof_size_t=`cat conftestval`
 else
@@ -6466,19 +6468,19 @@
 # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
 # for constant arguments.  Useless!
 echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
-echo "configure:6470: checking for working alloca.h" >&5
+echo "configure:6472: checking for working alloca.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_alloca_h'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6475 "configure"
+#line 6477 "configure"
 #include "confdefs.h"
 #include <alloca.h>
 int main() {
 char *p = alloca(2 * sizeof(int));
 ; return 0; }
 EOF
-if { (eval echo configure:6482: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6484: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_header_alloca_h=yes
 else
@@ -6499,12 +6501,12 @@
 fi
 
 echo $ac_n "checking for alloca""... $ac_c" 1>&6
-echo "configure:6503: checking for alloca" >&5
+echo "configure:6505: checking for alloca" >&5
 if eval "test \"`echo '$''{'ac_cv_func_alloca_works'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6508 "configure"
+#line 6510 "configure"
 #include "confdefs.h"
 
 #ifdef __GNUC__
@@ -6532,7 +6534,7 @@
 char *p = (char *) alloca(1);
 ; return 0; }
 EOF
-if { (eval echo configure:6536: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6538: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_func_alloca_works=yes
 else
@@ -6564,12 +6566,12 @@
 
 
 echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
-echo "configure:6568: checking whether alloca needs Cray hooks" >&5
+echo "configure:6570: checking whether alloca needs Cray hooks" >&5
 if eval "test \"`echo '$''{'ac_cv_os_cray'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6573 "configure"
+#line 6575 "configure"
 #include "confdefs.h"
 #if defined(CRAY) && ! defined(CRAY2)
 webecray
@@ -6594,12 +6596,12 @@
 if test $ac_cv_os_cray = yes; then
 for ac_func in _getb67 GETB67 getb67; do
   echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:6598: checking for $ac_func" >&5
+echo "configure:6600: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6603 "configure"
+#line 6605 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -6622,7 +6624,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6626: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6628: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -6649,7 +6651,7 @@
 fi
 
 echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
-echo "configure:6653: checking stack direction for C alloca" >&5
+echo "configure:6655: checking stack direction for C alloca" >&5
 if eval "test \"`echo '$''{'ac_cv_c_stack_direction'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -6657,7 +6659,7 @@
   ac_cv_c_stack_direction=0
 else
   cat > conftest.$ac_ext <<EOF
-#line 6661 "configure"
+#line 6663 "configure"
 #include "confdefs.h"
 find_stack_direction ()
 {
@@ -6676,7 +6678,7 @@
   exit (find_stack_direction() < 0);
 }
 EOF
-if { (eval echo configure:6680: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:6682: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_c_stack_direction=1
 else
@@ -6700,13 +6702,13 @@
 
 
 echo $ac_n "checking for socklen_t""... $ac_c" 1>&6
-echo "configure:6704: checking for socklen_t" >&5
+echo "configure:6706: checking for socklen_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_socklen_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 6710 "configure"
+#line 6712 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/socket.h>
@@ -6737,13 +6739,13 @@
 fi
 
 echo $ac_n "checking for mtyp_t""... $ac_c" 1>&6
-echo "configure:6741: checking for mtyp_t" >&5
+echo "configure:6743: checking for mtyp_t" >&5
 if eval "test \"`echo '$''{'ac_cv_type_mtyp_t'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
   cat > conftest.$ac_ext <<EOF
-#line 6747 "configure"
+#line 6749 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/ipc.h>
@@ -6771,7 +6773,7 @@
  fi
 
 echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
-echo "configure:6775: checking for main in -lnsl" >&5
+echo "configure:6777: checking for main in -lnsl" >&5
 ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6779,14 +6781,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lnsl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6783 "configure"
+#line 6785 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:6790: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6792: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6814,7 +6816,7 @@
 fi
 
 echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
-echo "configure:6818: checking for main in -lsocket" >&5
+echo "configure:6820: checking for main in -lsocket" >&5
 ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6822,14 +6824,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lsocket  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6826 "configure"
+#line 6828 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:6833: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6835: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6858,13 +6860,13 @@
 
 
 echo $ac_n "checking for unix domain sockets""... $ac_c" 1>&6
-echo "configure:6862: checking for unix domain sockets" >&5
+echo "configure:6864: checking for unix domain sockets" >&5
 if eval "test \"`echo '$''{'squid_cv_unixsocket'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   
     cat > conftest.$ac_ext <<EOF
-#line 6868 "configure"
+#line 6870 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -6879,7 +6881,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6883: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:6885: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   squid_cv_unixsocket=yes
 else
@@ -6903,7 +6905,7 @@
   echo "skipping libmalloc check (--enable-dlmalloc specified)"
 else
   echo $ac_n "checking for main in -lgnumalloc""... $ac_c" 1>&6
-echo "configure:6907: checking for main in -lgnumalloc" >&5
+echo "configure:6909: checking for main in -lgnumalloc" >&5
 ac_lib_var=`echo gnumalloc'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6911,14 +6913,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lgnumalloc  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6915 "configure"
+#line 6917 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:6922: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6924: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6961,7 +6963,7 @@
 			*)
   
 				echo $ac_n "checking for main in -lmalloc""... $ac_c" 1>&6
-echo "configure:6965: checking for main in -lmalloc" >&5
+echo "configure:6967: checking for main in -lmalloc" >&5
 ac_lib_var=`echo malloc'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6969,14 +6971,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lmalloc  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6973 "configure"
+#line 6975 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:6980: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6982: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7009,7 +7011,7 @@
 fi
 
 echo $ac_n "checking for main in -lbsd""... $ac_c" 1>&6
-echo "configure:7013: checking for main in -lbsd" >&5
+echo "configure:7015: checking for main in -lbsd" >&5
 ac_lib_var=`echo bsd'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7017,14 +7019,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lbsd  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7021 "configure"
+#line 7023 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7028: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7030: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7052,7 +7054,7 @@
 fi
 
 echo $ac_n "checking for main in -lregex""... $ac_c" 1>&6
-echo "configure:7056: checking for main in -lregex" >&5
+echo "configure:7058: checking for main in -lregex" >&5
 ac_lib_var=`echo regex'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7060,14 +7062,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lregex  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7064 "configure"
+#line 7066 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7071: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7073: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7088,7 +7090,7 @@
 fi
 
 echo $ac_n "checking for gethostbyname in -lbind""... $ac_c" 1>&6
-echo "configure:7092: checking for gethostbyname in -lbind" >&5
+echo "configure:7094: checking for gethostbyname in -lbind" >&5
 ac_lib_var=`echo bind'_'gethostbyname | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7096,7 +7098,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lbind  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7100 "configure"
+#line 7102 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7107,7 +7109,7 @@
 gethostbyname()
 ; return 0; }
 EOF
-if { (eval echo configure:7111: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7113: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7141,7 +7143,7 @@
 		;;
 	*)
 		echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
-echo "configure:7145: checking for inet_aton in -lresolv" >&5
+echo "configure:7147: checking for inet_aton in -lresolv" >&5
 ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7149,7 +7151,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lresolv  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7153 "configure"
+#line 7155 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7160,7 +7162,7 @@
 inet_aton()
 ; return 0; }
 EOF
-if { (eval echo configure:7164: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7166: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7176,7 +7178,7 @@
 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
   echo "$ac_t""yes" 1>&6
   echo $ac_n "checking for inet_aton in -l44bsd""... $ac_c" 1>&6
-echo "configure:7180: checking for inet_aton in -l44bsd" >&5
+echo "configure:7182: checking for inet_aton in -l44bsd" >&5
 ac_lib_var=`echo 44bsd'_'inet_aton | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7184,7 +7186,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-l44bsd  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7188 "configure"
+#line 7190 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7195,7 +7197,7 @@
 inet_aton()
 ; return 0; }
 EOF
-if { (eval echo configure:7199: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7201: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7227,7 +7229,7 @@
 fi
 
 		echo $ac_n "checking for main in -lresolv""... $ac_c" 1>&6
-echo "configure:7231: checking for main in -lresolv" >&5
+echo "configure:7233: checking for main in -lresolv" >&5
 ac_lib_var=`echo resolv'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7235,14 +7237,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lresolv  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7239 "configure"
+#line 7241 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7246: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7248: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7273,7 +7275,7 @@
     esac
 fi
 echo $ac_n "checking for main in -lm""... $ac_c" 1>&6
-echo "configure:7277: checking for main in -lm" >&5
+echo "configure:7279: checking for main in -lm" >&5
 ac_lib_var=`echo m'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7281,14 +7283,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lm  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7285 "configure"
+#line 7287 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7292: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7294: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7317,7 +7319,7 @@
 
 
 echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
-echo "configure:7321: checking for crypt in -lcrypt" >&5
+echo "configure:7323: checking for crypt in -lcrypt" >&5
 ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7325,7 +7327,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lcrypt  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7329 "configure"
+#line 7331 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7336,7 +7338,7 @@
 crypt()
 ; return 0; }
 EOF
-if { (eval echo configure:7340: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7342: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7360,7 +7362,7 @@
 
 if test "$with_dl" = "yes"; then
     echo $ac_n "checking for dlopen in -ldl""... $ac_c" 1>&6
-echo "configure:7364: checking for dlopen in -ldl" >&5
+echo "configure:7366: checking for dlopen in -ldl" >&5
 ac_lib_var=`echo dl'_'dlopen | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7368,7 +7370,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-ldl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7372 "configure"
+#line 7374 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7379,7 +7381,7 @@
 dlopen()
 ; return 0; }
 EOF
-if { (eval echo configure:7383: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7385: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7427,7 +7429,7 @@
     ;;
     esac
     echo $ac_n "checking for main in -lpthread""... $ac_c" 1>&6
-echo "configure:7431: checking for main in -lpthread" >&5
+echo "configure:7433: checking for main in -lpthread" >&5
 ac_lib_var=`echo pthread'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7435,14 +7437,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lpthread  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7439 "configure"
+#line 7441 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7446: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7448: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7473,7 +7475,7 @@
 
 if test "$with_aio" = "yes"; then
     echo $ac_n "checking for aio_read in -lrt""... $ac_c" 1>&6
-echo "configure:7477: checking for aio_read in -lrt" >&5
+echo "configure:7479: checking for aio_read in -lrt" >&5
 ac_lib_var=`echo rt'_'aio_read | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7481,7 +7483,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lrt  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7485 "configure"
+#line 7487 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7492,7 +7494,7 @@
 aio_read()
 ; return 0; }
 EOF
-if { (eval echo configure:7496: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7498: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7524,7 +7526,7 @@
 case "$host" in
 	*-pc-sco3.2*)
 		echo $ac_n "checking for strftime in -lintl""... $ac_c" 1>&6
-echo "configure:7528: checking for strftime in -lintl" >&5
+echo "configure:7530: checking for strftime in -lintl" >&5
 ac_lib_var=`echo intl'_'strftime | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7532,7 +7534,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lintl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7536 "configure"
+#line 7538 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7543,7 +7545,7 @@
 strftime()
 ; return 0; }
 EOF
-if { (eval echo configure:7547: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7549: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7574,7 +7576,7 @@
 esac
 
 echo $ac_n "checking for main in -llber""... $ac_c" 1>&6
-echo "configure:7578: checking for main in -llber" >&5
+echo "configure:7580: checking for main in -llber" >&5
 ac_lib_var=`echo lber'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7582,14 +7584,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-llber  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7586 "configure"
+#line 7588 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7593: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7595: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7777,12 +7779,12 @@
 
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:7781: checking for $ac_func" >&5
+echo "configure:7783: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 7786 "configure"
+#line 7788 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -7805,7 +7807,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:7809: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7811: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -7831,7 +7833,7 @@
 
 
 echo $ac_n "checking if setresuid is implemented""... $ac_c" 1>&6
-echo "configure:7835: checking if setresuid is implemented" >&5
+echo "configure:7837: checking if setresuid is implemented" >&5
 if eval "test \"`echo '$''{'ac_cv_func_setresuid'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -7839,7 +7841,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 7843 "configure"
+#line 7845 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -7852,7 +7854,7 @@
   }
   
 EOF
-if { (eval echo configure:7856: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:7858: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func_setresuid="yes"
 else
@@ -7897,7 +7899,7 @@
 fi
 
 echo $ac_n "checking if va_copy is implemented""... $ac_c" 1>&6
-echo "configure:7901: checking if va_copy is implemented" >&5
+echo "configure:7903: checking if va_copy is implemented" >&5
 if eval "test \"`echo '$''{'ac_cv_func_va_copy'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -7905,7 +7907,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 7909 "configure"
+#line 7911 "configure"
 #include "confdefs.h"
 
       #include <stdarg.h>
@@ -7923,7 +7925,7 @@
       }
       
 EOF
-if { (eval echo configure:7927: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:7929: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func_va_copy="yes"
 else
@@ -7947,7 +7949,7 @@
 fi
 
 echo $ac_n "checking if __va_copy is implemented""... $ac_c" 1>&6
-echo "configure:7951: checking if __va_copy is implemented" >&5
+echo "configure:7953: checking if __va_copy is implemented" >&5
 if eval "test \"`echo '$''{'ac_cv_func___va_copy'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -7955,7 +7957,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 7959 "configure"
+#line 7961 "configure"
 #include "confdefs.h"
 
       #include <stdarg.h>
@@ -7973,7 +7975,7 @@
       }
       
 EOF
-if { (eval echo configure:7977: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:7979: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func___va_copy="yes"
 else
@@ -7998,7 +8000,7 @@
 
 if test "$IPF_TRANSPARENT" ; then
     echo $ac_n "checking if IP-Filter header files are installed""... $ac_c" 1>&6
-echo "configure:8002: checking if IP-Filter header files are installed" >&5
+echo "configure:8004: checking if IP-Filter header files are installed" >&5
     # hold on to your hats...
     if test "$ac_cv_header_ip_compat_h" = "yes" ||
         test "$ac_cv_header_ip_fil_compat_h" = "yes" ||
@@ -8048,7 +8050,7 @@
 
 if test "$PF_TRANSPARENT" ; then
     echo $ac_n "checking if PF header file is installed""... $ac_c" 1>&6
-echo "configure:8052: checking if PF header file is installed" >&5
+echo "configure:8054: checking if PF header file is installed" >&5
     # hold on to your hats...
     if test "$ac_cv_header_net_pfvar_h" = "yes"; then
         PF_TRANSPARENT="yes"
@@ -8073,7 +8075,7 @@
 
 if test "$LINUX_NETFILTER" ; then
     echo $ac_n "checking if Linux 2.4 kernel header files are installed""... $ac_c" 1>&6
-echo "configure:8077: checking if Linux 2.4 kernel header files are installed" >&5
+echo "configure:8079: checking if Linux 2.4 kernel header files are installed" >&5
     # hold on to your hats...
     if test "$ac_cv_header_linux_netfilter_ipv4_h" = "yes"; then
         LINUX_NETFILTER="yes"
@@ -8107,13 +8109,13 @@
     esac
 fi
 echo $ac_n "checking if GNUregex needs to be compiled""... $ac_c" 1>&6
-echo "configure:8111: checking if GNUregex needs to be compiled" >&5
+echo "configure:8113: checking if GNUregex needs to be compiled" >&5
 if test -z "$USE_GNUREGEX"; then
 if test "$ac_cv_func_regcomp" = "no" || test "$USE_GNUREGEX" = "yes" ; then
 	USE_GNUREGEX="yes"
 else
 	cat > conftest.$ac_ext <<EOF
-#line 8117 "configure"
+#line 8119 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <regex.h>
@@ -8121,7 +8123,7 @@
 regex_t t; regcomp(&t,"",0);
 ; return 0; }
 EOF
-if { (eval echo configure:8125: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8127: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   USE_GNUREGEX="no"
 else
@@ -8153,12 +8155,12 @@
 
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:8157: checking for $ac_func" >&5
+echo "configure:8159: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8162 "configure"
+#line 8164 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -8181,7 +8183,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8185: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8187: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -8209,12 +8211,12 @@
 
 
 echo $ac_n "checking Default FD_SETSIZE value""... $ac_c" 1>&6
-echo "configure:8213: checking Default FD_SETSIZE value" >&5
+echo "configure:8215: checking Default FD_SETSIZE value" >&5
 if test "$cross_compiling" = yes; then
   DEFAULT_FD_SETSIZE=256
 else
   cat > conftest.$ac_ext <<EOF
-#line 8218 "configure"
+#line 8220 "configure"
 #include "confdefs.h"
 
 #if HAVE_STDIO_H
@@ -8239,7 +8241,7 @@
 }
 
 EOF
-if { (eval echo configure:8243: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8245: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   DEFAULT_FD_SETSIZE=`cat conftestval`
 else
@@ -8276,7 +8278,7 @@
 if test -z "$SQUID_MAXFD"; then
 
 echo $ac_n "checking Maximum number of filedescriptors we can open""... $ac_c" 1>&6
-echo "configure:8280: checking Maximum number of filedescriptors we can open" >&5
+echo "configure:8282: checking Maximum number of filedescriptors we can open" >&5
 TLDFLAGS="$LDFLAGS"
 case $host in
 i386-unknown-freebsd*)
@@ -8288,7 +8290,7 @@
   SQUID_MAXFD=256
 else
   cat > conftest.$ac_ext <<EOF
-#line 8292 "configure"
+#line 8294 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -8348,7 +8350,7 @@
 }
 
 EOF
-if { (eval echo configure:8352: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8354: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_MAXFD=`cat conftestval`
 else
@@ -8376,12 +8378,12 @@
 LDFLAGS="$TLDFLAGS"
 
 echo $ac_n "checking Default UDP send buffer size""... $ac_c" 1>&6
-echo "configure:8380: checking Default UDP send buffer size" >&5
+echo "configure:8382: checking Default UDP send buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_UDP_SO_SNDBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8385 "configure"
+#line 8387 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8402,7 +8404,7 @@
 }
 
 EOF
-if { (eval echo configure:8406: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8408: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_UDP_SO_SNDBUF=`cat conftestval`
 else
@@ -8421,12 +8423,12 @@
 
 
 echo $ac_n "checking Default UDP receive buffer size""... $ac_c" 1>&6
-echo "configure:8425: checking Default UDP receive buffer size" >&5
+echo "configure:8427: checking Default UDP receive buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_UDP_SO_RCVBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8430 "configure"
+#line 8432 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8447,7 +8449,7 @@
 }
 
 EOF
-if { (eval echo configure:8451: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8453: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_UDP_SO_RCVBUF=`cat conftestval`
 else
@@ -8466,12 +8468,12 @@
 
 
 echo $ac_n "checking Default TCP send buffer size""... $ac_c" 1>&6
-echo "configure:8470: checking Default TCP send buffer size" >&5
+echo "configure:8472: checking Default TCP send buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_TCP_SO_SNDBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8475 "configure"
+#line 8477 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8492,7 +8494,7 @@
 }
 
 EOF
-if { (eval echo configure:8496: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8498: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_TCP_SO_SNDBUF=`cat conftestval`
 else
@@ -8515,12 +8517,12 @@
 
 
 echo $ac_n "checking Default TCP receive buffer size""... $ac_c" 1>&6
-echo "configure:8519: checking Default TCP receive buffer size" >&5
+echo "configure:8521: checking Default TCP receive buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_TCP_SO_RCVBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8524 "configure"
+#line 8526 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8541,7 +8543,7 @@
 }
 
 EOF
-if { (eval echo configure:8545: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8547: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_TCP_SO_RCVBUF=`cat conftestval`
 else
@@ -8563,19 +8565,19 @@
 EOF
 
 echo $ac_n "checking if sys_errlist is already defined""... $ac_c" 1>&6
-echo "configure:8567: checking if sys_errlist is already defined" >&5
+echo "configure:8569: checking if sys_errlist is already defined" >&5
 if eval "test \"`echo '$''{'ac_cv_needs_sys_errlist'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8572 "configure"
+#line 8574 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 char *s = sys_errlist;
 ; return 0; }
 EOF
-if { (eval echo configure:8579: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8581: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_needs_sys_errlist="no"
 else
@@ -8597,16 +8599,16 @@
 fi
 
 echo $ac_n "checking for libresolv _dns_ttl_ hack""... $ac_c" 1>&6
-echo "configure:8601: checking for libresolv _dns_ttl_ hack" >&5
+echo "configure:8603: checking for libresolv _dns_ttl_ hack" >&5
 cat > conftest.$ac_ext <<EOF
-#line 8603 "configure"
+#line 8605 "configure"
 #include "confdefs.h"
 extern int _dns_ttl_;
 int main() {
 return _dns_ttl_;
 ; return 0; }
 EOF
-if { (eval echo configure:8610: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8612: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 cat >> confdefs.h <<\EOF
@@ -8622,12 +8624,12 @@
 rm -f conftest*
 
 echo $ac_n "checking if inet_ntoa() actually works""... $ac_c" 1>&6
-echo "configure:8626: checking if inet_ntoa() actually works" >&5
+echo "configure:8628: checking if inet_ntoa() actually works" >&5
 if test "$cross_compiling" = yes; then
   INET_NTOA_RESULT="broken"
 else
   cat > conftest.$ac_ext <<EOF
-#line 8631 "configure"
+#line 8633 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8646,7 +8648,7 @@
 }
 
 EOF
-if { (eval echo configure:8650: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8652: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   INET_NTOA_RESULT=`cat conftestval`
 else
@@ -8672,9 +8674,9 @@
 
 if test "$ac_cv_header_sys_statvfs_h" = "yes" ; then
 echo $ac_n "checking for working statvfs() interface""... $ac_c" 1>&6
-echo "configure:8676: checking for working statvfs() interface" >&5
+echo "configure:8678: checking for working statvfs() interface" >&5
 cat > conftest.$ac_ext <<EOF
-#line 8678 "configure"
+#line 8680 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8691,7 +8693,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8695: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8697: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_func_statvfs=yes
 else
@@ -8711,12 +8713,12 @@
 fi
 
 echo $ac_n "checking for _res.nsaddr_list""... $ac_c" 1>&6
-echo "configure:8715: checking for _res.nsaddr_list" >&5
+echo "configure:8717: checking for _res.nsaddr_list" >&5
 if eval "test \"`echo '$''{'ac_cv_have_res_nsaddr_list'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8720 "configure"
+#line 8722 "configure"
 #include "confdefs.h"
 
 #if HAVE_SYS_TYPES_H
@@ -8739,7 +8741,7 @@
 _res.nsaddr_list[0];
 ; return 0; }
 EOF
-if { (eval echo configure:8743: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8745: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_res_nsaddr_list="yes"
 else
@@ -8761,12 +8763,12 @@
 
 if test $ac_cv_have_res_nsaddr_list = "no" ; then
 echo $ac_n "checking for _res.ns_list""... $ac_c" 1>&6
-echo "configure:8765: checking for _res.ns_list" >&5
+echo "configure:8767: checking for _res.ns_list" >&5
 if eval "test \"`echo '$''{'ac_cv_have_res_ns_list'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8770 "configure"
+#line 8772 "configure"
 #include "confdefs.h"
 
 #if HAVE_SYS_TYPES_H
@@ -8789,7 +8791,7 @@
 _res.ns_list[0].addr;
 ; return 0; }
 EOF
-if { (eval echo configure:8793: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8795: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_res_ns_list="yes"
 else
@@ -9055,6 +9057,8 @@
 s%@CGIEXT@%$CGIEXT%g
 s%@ENABLE_WIN32SPECIFIC_TRUE@%$ENABLE_WIN32SPECIFIC_TRUE%g
 s%@ENABLE_WIN32SPECIFIC_FALSE@%$ENABLE_WIN32SPECIFIC_FALSE%g
+s%@CACHE_HTTP_PORT@%$CACHE_HTTP_PORT%g
+s%@CACHE_ICP_PORT@%$CACHE_ICP_PORT%g
 s%@LIBDLMALLOC@%$LIBDLMALLOC%g
 s%@LIB_MALLOC@%$LIB_MALLOC%g
 s%@STORE_OBJS@%$STORE_OBJS%g
diff -ruN squid-2.5.STABLE11/configure.in squid-2.5.STABLE12/configure.in
--- squid-2.5.STABLE11/configure.in	Thu Sep 22 02:16:26 2005
+++ squid-2.5.STABLE12/configure.in	Sat Oct 22 03:56:01 2005
@@ -3,15 +3,15 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.251.2.101 2005/09/22 08:15:05 hno Exp $
+dnl  $Id: configure.in,v 1.251.2.105 2005/10/22 09:54:32 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_AUX_DIR(cfgaux)
-AM_INIT_AUTOMAKE(squid, 2.5.STABLE11)
+AM_INIT_AUTOMAKE(squid, 2.5.STABLE12)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.251.2.101 $)dnl
+AC_REVISION($Revision: 1.251.2.105 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -68,7 +68,9 @@
 
 dnl Substitutions
 AC_DEFINE_UNQUOTED(CACHE_HTTP_PORT, $CACHE_HTTP_PORT)
+AC_SUBST(CACHE_HTTP_PORT)
 AC_DEFINE_UNQUOTED(CACHE_ICP_PORT, $CACHE_ICP_PORT)
+AC_SUBST(CACHE_ICP_PORT)
 
 AC_DEFINE_UNQUOTED(CONFIG_HOST_TYPE, "$host")
 
diff -ruN squid-2.5.STABLE11/contrib/Makefile.in squid-2.5.STABLE12/contrib/Makefile.in
--- squid-2.5.STABLE11/contrib/Makefile.in	Fri Mar 18 17:55:41 2005
+++ squid-2.5.STABLE12/contrib/Makefile.in	Wed Sep 28 14:57:15 2005
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/doc/Makefile.in squid-2.5.STABLE12/doc/Makefile.in
--- squid-2.5.STABLE11/doc/Makefile.in	Sun May  8 19:35:59 2005
+++ squid-2.5.STABLE12/doc/Makefile.in	Wed Sep 28 14:57:15 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.1.2.17 2005/05/09 01:35:59 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.18 2005/09/28 20:57:15 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/errors/Makefile.in squid-2.5.STABLE12/errors/Makefile.in
--- squid-2.5.STABLE11/errors/Makefile.in	Thu Sep  1 16:37:29 2005
+++ squid-2.5.STABLE12/errors/Makefile.in	Wed Sep 28 14:57:16 2005
@@ -14,7 +14,7 @@
 @SET_MAKE@
 
 #
-# $Id: Makefile.in,v 1.15.2.18 2005/09/01 22:37:29 hno Exp $
+# $Id: Makefile.in,v 1.15.2.19 2005/09/28 20:57:16 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -69,6 +69,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/Makefile.in squid-2.5.STABLE12/helpers/Makefile.in
--- squid-2.5.STABLE11/helpers/Makefile.in	Fri Mar 18 17:55:41 2005
+++ squid-2.5.STABLE12/helpers/Makefile.in	Wed Sep 28 14:57:18 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/LDAP/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/LDAP/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/LDAP/Makefile.in	Fri Mar 18 17:55:41 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/LDAP/Makefile.in	Wed Sep 28 14:57:18 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.in,v 1.8.2.14 2005/03/19 00:55:41 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.15 2005/09/28 20:57:18 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/LDAP/squid_ldap_auth.8 squid-2.5.STABLE12/helpers/basic_auth/LDAP/squid_ldap_auth.8
--- squid-2.5.STABLE11/helpers/basic_auth/LDAP/squid_ldap_auth.8	Sun Jan 30 12:28:56 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/LDAP/squid_ldap_auth.8	Wed Sep 28 12:33:42 2005
@@ -199,7 +199,7 @@
 a user DN and password to log in as to perform the searches, as in the
 following complex Active Directory example
 .IP
-squid_ldap_auth -p -R -b "dc=your,dc=domain" -D "cn=squid,cn=users,dc=your,dc=domain" -w "secretsquidpassword" -f "(&(userPrincipalName=%s)(objectClass=Person))" activedirectoryserver
+squid_ldap_auth -P -R -b "dc=your,dc=domain" -D "cn=squid,cn=users,dc=your,dc=domain" -w "secretsquidpassword" -f "(&(userPrincipalName=%s)(objectClass=Person))" activedirectoryserver
 .
 .SH NOTES
 .
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/LDAP/squid_ldap_auth.c squid-2.5.STABLE12/helpers/basic_auth/LDAP/squid_ldap_auth.c
--- squid-2.5.STABLE11/helpers/basic_auth/LDAP/squid_ldap_auth.c	Sat Sep 10 18:53:23 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/LDAP/squid_ldap_auth.c	Wed Sep 28 12:33:42 2005
@@ -187,7 +187,7 @@
     else
 	ld->ld_options &= ~LDAP_OPT_REFERRALS;
 }
-static void 
+static void
 squid_ldap_set_timelimit(LDAP * ld, int timelimit)
 {
     ld->ld_timelimit = timelimit;
@@ -259,7 +259,7 @@
     }
     if (use_tls) {
 #ifdef LDAP_OPT_X_TLS
-        if (version != LDAP_VERSION3) {
+	if (version != LDAP_VERSION3) {
 	    fprintf(stderr, "TLS requires LDAP version 3\n");
 	    exit(1);
 	} else if (ldap_start_tls_s(ld, NULL, NULL) != LDAP_SUCCESS) {
@@ -282,12 +282,12 @@
 static int
 validUsername(const char *user)
 {
-    const unsigned char *p = (const unsigned char *)user;
+    const unsigned char *p = (const unsigned char *) user;
 
     /* Leading whitespace? */
     if (isspace(p[0]))
 	return 0;
-    while(p[0] && p[1]) {
+    while (p[0] && p[1]) {
 	if (isspace(p[0])) {
 	    /* More than one consequitive space? */
 	    if (isspace(p[1]))
@@ -581,17 +581,23 @@
     return n;
 }
 
+/* Check the userid & password.
+ * Return 0 on success, 1 on failure
+ */
 static int
 checkLDAP(LDAP * persistent_ld, const char *userid, const char *password, const char *ldapServer, int port)
 {
     char dn[256];
     int ret = 0;
     LDAP *bind_ld = NULL;
+    int rc;
 
     if (!*password) {
 	/* LDAP can't bind with a blank password. Seen as "anonymous"
 	 * and always granted access
 	 */
+	if (debug)
+	    fprintf(stderr, "Blank password given\n");
 	return 1;
     }
     if (searchfilter) {
@@ -599,9 +605,9 @@
 	char escaped_login[256];
 	LDAPMessage *res = NULL;
 	LDAPMessage *entry;
-	char *searchattr[] = {LDAP_NO_ATTRS, NULL};
+	char *searchattr[] =
+	{LDAP_NO_ATTRS, NULL};
 	char *userdn;
-	int rc;
 	LDAP *search_ld = persistent_ld;
 
 	if (!search_ld)
@@ -625,6 +631,8 @@
 		/* Everything is fine. This is expected when referrals
 		 * are disabled.
 		 */
+		if (debug)
+		    fprintf(stderr, "noreferrals && rc == LDAP_PARTIAL_RESULTS\n");
 	    } else {
 		fprintf(stderr, PROGRAM_NAME ": WARNING, LDAP search error '%s'\n", ldap_err2string(rc));
 #if defined(NETSCAPE_SSL)
@@ -639,6 +647,8 @@
 	}
 	entry = ldap_first_entry(search_ld, res);
 	if (!entry) {
+	    if (debug)
+		fprintf(stderr, "Ldap search returned nothing\n");
 	    ret = 1;
 	    goto search_done;
 	}
@@ -690,7 +700,7 @@
     return ret;
 }
 
-int 
+int
 readSecret(const char *filename)
 {
     char buf[BUFSIZ];
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/MSNT/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/MSNT/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/MSNT/Makefile.in	Fri Mar 18 17:55:41 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/MSNT/Makefile.in	Wed Sep 28 14:57:18 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.7.2.16 2005/03/19 00:55:41 hno Exp $
+#  $Id: Makefile.in,v 1.7.2.17 2005/09/28 20:57:18 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/Makefile.in	Fri Mar 18 17:55:41 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/Makefile.in	Wed Sep 28 14:57:18 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.7.2.13 2005/03/19 00:55:41 hno Exp $
+#  $Id: Makefile.in,v 1.7.2.14 2005/09/28 20:57:18 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/NCSA/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/NCSA/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/NCSA/Makefile.in	Fri Mar 18 17:55:43 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/NCSA/Makefile.in	Wed Sep 28 14:57:18 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.12 2005/03/19 00:55:43 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.13 2005/09/28 20:57:18 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/PAM/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/PAM/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/PAM/Makefile.in	Fri Mar 18 17:55:43 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/PAM/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid PAM authentication helper
 #
-#  $Id: Makefile.in,v 1.7.2.14 2005/03/19 00:55:43 hno Exp $
+#  $Id: Makefile.in,v 1.7.2.15 2005/09/28 20:57:19 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/SASL/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/SASL/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/SASL/Makefile.in	Fri Mar 18 17:55:44 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/SASL/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid SASL authentication helper
 #
-#  $Id: Makefile.in,v 1.1.2.18 2005/03/19 00:55:44 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.19 2005/09/28 20:57:19 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/SMB/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/SMB/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/SMB/Makefile.in	Fri Mar 18 17:55:45 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/SMB/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.7.2.14 2005/03/19 00:55:45 hno Exp $
+#  $Id: Makefile.in,v 1.7.2.15 2005/09/28 20:57:19 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -78,6 +78,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/YP/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/YP/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/YP/Makefile.in	Fri Mar 18 17:55:46 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/YP/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.9.2.13 2005/03/19 00:55:46 hno Exp $
+#  $Id: Makefile.in,v 1.9.2.14 2005/09/28 20:57:19 hno Exp $
 #
 #
 
@@ -72,6 +72,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/getpwnam/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/getpwnam/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/getpwnam/Makefile.in	Fri Mar 18 17:55:46 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/getpwnam/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.12 2005/03/19 00:55:46 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.13 2005/09/28 20:57:19 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/multi-domain-NTLM/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/multi-domain-NTLM/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/multi-domain-NTLM/Makefile.in	Fri Mar 18 17:55:46 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/multi-domain-NTLM/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.5.2.13 2005/03/19 00:55:46 hno Exp $
+#  $Id: Makefile.in,v 1.5.2.14 2005/09/28 20:57:19 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/basic_auth/winbind/Makefile.in squid-2.5.STABLE12/helpers/basic_auth/winbind/Makefile.in
--- squid-2.5.STABLE11/helpers/basic_auth/winbind/Makefile.in	Fri Mar 18 17:55:46 2005
+++ squid-2.5.STABLE12/helpers/basic_auth/winbind/Makefile.in	Wed Sep 28 14:57:19 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.1.2.14 2005/03/19 00:55:46 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.15 2005/09/28 20:57:19 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -71,6 +71,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/digest_auth/Makefile.in squid-2.5.STABLE12/helpers/digest_auth/Makefile.in
--- squid-2.5.STABLE11/helpers/digest_auth/Makefile.in	Fri Mar 18 17:55:47 2005
+++ squid-2.5.STABLE12/helpers/digest_auth/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for digest auth helpers in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.6.2.11 2005/03/19 00:55:47 hno Exp $
+#  $Id: Makefile.in,v 1.6.2.12 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/digest_auth/password/Makefile.in squid-2.5.STABLE12/helpers/digest_auth/password/Makefile.in
--- squid-2.5.STABLE11/helpers/digest_auth/password/Makefile.in	Fri Mar 18 17:55:48 2005
+++ squid-2.5.STABLE12/helpers/digest_auth/password/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.11 2005/03/19 00:55:48 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.12 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/external_acl/Makefile.in squid-2.5.STABLE12/helpers/external_acl/Makefile.in
--- squid-2.5.STABLE11/helpers/external_acl/Makefile.in	Fri Mar 18 17:55:48 2005
+++ squid-2.5.STABLE12/helpers/external_acl/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.2.2.8 2005/03/19 00:55:48 hno Exp $
+#  $Id: Makefile.in,v 1.2.2.9 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/external_acl/ip_user/Makefile.in squid-2.5.STABLE12/helpers/external_acl/ip_user/Makefile.in
--- squid-2.5.STABLE11/helpers/external_acl/ip_user/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/external_acl/ip_user/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the ip_user external_acl helper by Rodrigo Campos
 #
-#  $Id: Makefile.in,v 1.1.2.9 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.10 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/external_acl/ldap_group/Makefile.in squid-2.5.STABLE12/helpers/external_acl/ldap_group/Makefile.in
--- squid-2.5.STABLE11/helpers/external_acl/ldap_group/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/external_acl/ldap_group/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.in,v 1.1.2.11 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.12 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/external_acl/unix_group/Makefile.in squid-2.5.STABLE12/helpers/external_acl/unix_group/Makefile.in
--- squid-2.5.STABLE11/helpers/external_acl/unix_group/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/external_acl/unix_group/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.in,v 1.1.2.9 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.10 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/external_acl/wbinfo_group/Makefile.in squid-2.5.STABLE12/helpers/external_acl/wbinfo_group/Makefile.in
--- squid-2.5.STABLE11/helpers/external_acl/wbinfo_group/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/external_acl/wbinfo_group/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid LDAP authentication helper
 #
-#  $Id: Makefile.in,v 1.1.2.8 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.9 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/external_acl/winbind_group/Makefile.in squid-2.5.STABLE12/helpers/external_acl/winbind_group/Makefile.in
--- squid-2.5.STABLE11/helpers/external_acl/winbind_group/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/external_acl/winbind_group/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the wb_group external_acl helper
 #
-#  $Id: Makefile.in,v 1.1.2.10 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.11 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -71,6 +71,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/ntlm_auth/Makefile.in squid-2.5.STABLE12/helpers/ntlm_auth/Makefile.in
--- squid-2.5.STABLE11/helpers/ntlm_auth/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/ntlm_auth/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.7.2.13 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.7.2.14 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/ntlm_auth/SMB/Makefile.in squid-2.5.STABLE12/helpers/ntlm_auth/SMB/Makefile.in
--- squid-2.5.STABLE11/helpers/ntlm_auth/SMB/Makefile.in	Fri Mar 18 17:55:49 2005
+++ squid-2.5.STABLE12/helpers/ntlm_auth/SMB/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.12 2005/03/19 00:55:49 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.13 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -71,6 +71,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/ntlm_auth/SMB/smbval/Makefile.in squid-2.5.STABLE12/helpers/ntlm_auth/SMB/smbval/Makefile.in
--- squid-2.5.STABLE11/helpers/ntlm_auth/SMB/smbval/Makefile.in	Fri Mar 18 17:55:50 2005
+++ squid-2.5.STABLE12/helpers/ntlm_auth/SMB/smbval/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -67,6 +67,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/ntlm_auth/fakeauth/Makefile.in squid-2.5.STABLE12/helpers/ntlm_auth/fakeauth/Makefile.in
--- squid-2.5.STABLE11/helpers/ntlm_auth/fakeauth/Makefile.in	Fri Mar 18 17:55:50 2005
+++ squid-2.5.STABLE12/helpers/ntlm_auth/fakeauth/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.11 2005/03/19 00:55:50 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.12 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/ntlm_auth/no_check/Makefile.in squid-2.5.STABLE12/helpers/ntlm_auth/no_check/Makefile.in
--- squid-2.5.STABLE11/helpers/ntlm_auth/no_check/Makefile.in	Fri Mar 18 17:55:50 2005
+++ squid-2.5.STABLE12/helpers/ntlm_auth/no_check/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.13 2005/03/19 00:55:50 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.14 2005/09/28 20:57:20 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/helpers/ntlm_auth/winbind/Makefile.in squid-2.5.STABLE12/helpers/ntlm_auth/winbind/Makefile.in
--- squid-2.5.STABLE11/helpers/ntlm_auth/winbind/Makefile.in	Fri Mar 18 17:55:50 2005
+++ squid-2.5.STABLE12/helpers/ntlm_auth/winbind/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.1.2.14 2005/03/19 00:55:50 hno Exp $
+#  $Id: Makefile.in,v 1.1.2.15 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -71,6 +71,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/icons/Makefile.in squid-2.5.STABLE12/icons/Makefile.in
--- squid-2.5.STABLE11/icons/Makefile.in	Fri Mar 18 17:55:51 2005
+++ squid-2.5.STABLE12/icons/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -13,7 +13,7 @@
 
 @SET_MAKE@
 
-# $Id: Makefile.in,v 1.21.2.13 2005/03/19 00:55:51 hno Exp $
+# $Id: Makefile.in,v 1.21.2.14 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -68,6 +68,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/include/rfc1035.h squid-2.5.STABLE12/include/rfc1035.h
--- squid-2.5.STABLE11/include/rfc1035.h	Tue May 10 05:48:20 2005
+++ squid-2.5.STABLE12/include/rfc1035.h	Wed Sep 28 15:47:58 2005
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1035.h,v 1.6.2.2 2005/05/10 11:48:20 hno Exp $
+ * $Id: rfc1035.h,v 1.6.2.3 2005/09/28 21:47:58 hno Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -100,6 +100,7 @@
 extern const char *rfc1035_error_message;
 
 #define RFC1035_TYPE_A 1
+#define RFC1035_TYPE_CNAME 5
 #define RFC1035_TYPE_PTR 12
 #define RFC1035_CLASS_IN 1
 
diff -ruN squid-2.5.STABLE11/include/version.h squid-2.5.STABLE12/include/version.h
--- squid-2.5.STABLE11/include/version.h	Thu Sep 22 02:16:26 2005
+++ squid-2.5.STABLE12/include/version.h	Sat Oct 22 03:56:01 2005
@@ -9,5 +9,5 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1127376981
+#define SQUID_RELEASE_TIME 1129974957
 #endif
diff -ruN squid-2.5.STABLE11/lib/Makefile.in squid-2.5.STABLE12/lib/Makefile.in
--- squid-2.5.STABLE11/lib/Makefile.in	Mon Apr 18 18:12:13 2005
+++ squid-2.5.STABLE12/lib/Makefile.in	Wed Sep 28 14:57:20 2005
@@ -14,7 +14,7 @@
 @SET_MAKE@
 
 #
-#  $Id: Makefile.in,v 1.57.2.17 2005/04/19 00:12:13 hno Exp $
+#  $Id: Makefile.in,v 1.57.2.18 2005/09/28 20:57:20 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -69,6 +69,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/scripts/Makefile.in squid-2.5.STABLE12/scripts/Makefile.in
--- squid-2.5.STABLE11/scripts/Makefile.in	Fri Mar 18 17:55:51 2005
+++ squid-2.5.STABLE12/scripts/Makefile.in	Wed Sep 28 14:57:21 2005
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/snmplib/Makefile.in squid-2.5.STABLE12/snmplib/Makefile.in
--- squid-2.5.STABLE11/snmplib/Makefile.in	Fri Mar 18 17:55:51 2005
+++ squid-2.5.STABLE12/snmplib/Makefile.in	Wed Sep 28 14:57:21 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/Makefile.am squid-2.5.STABLE12/src/Makefile.am
--- squid-2.5.STABLE11/src/Makefile.am	Fri Apr 22 19:32:27 2005
+++ squid-2.5.STABLE12/src/Makefile.am	Wed Sep 28 14:50:25 2005
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.16.2.11 2005/04/23 01:32:27 hno Exp $
+#  $Id: Makefile.am,v 1.16.2.12 2005/09/28 20:50:25 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -272,6 +272,8 @@
 	cachemgr.conf \
 	mime.conf.default
 
+DEFAULT_HTTP_PORT	= @CACHE_HTTP_PORT@
+DEFAULT_ICP_PORT	= @CACHE_ICP_PORT@
 DEFAULT_PREFIX		= $(prefix)
 DEFAULT_CONFIG_FILE     = $(sysconfdir)/squid.conf
 DEFAULT_CACHEMGR_CONFIG = $(sysconfdir)/cachemgr.conf
@@ -325,6 +327,8 @@
 ## depend on the Makefile. 
 cf.data: cf.data.pre Makefile
 	sed "\
+	s%@DEFAULT_HTTP_PORT@%$(DEFAULT_HTTP_PORT)%g;\
+	s%@DEFAULT_ICP_PORT@%$(DEFAULT_ICP_PORT)%g;\
 	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
 	s%@DEFAULT_DNSSERVER@%$(DEFAULT_DNSSERVER)%g;\
 	s%@DEFAULT_UNLINKD@%$(DEFAULT_UNLINKD)%g;\
diff -ruN squid-2.5.STABLE11/src/Makefile.in squid-2.5.STABLE12/src/Makefile.in
--- squid-2.5.STABLE11/src/Makefile.in	Sat Apr 23 18:12:08 2005
+++ squid-2.5.STABLE12/src/Makefile.in	Wed Sep 28 14:57:21 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.225.2.24 2005/04/24 00:12:08 hno Exp $
+#  $Id: Makefile.in,v 1.225.2.25 2005/09/28 20:57:21 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -73,6 +73,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
@@ -375,6 +377,8 @@
 	mime.conf.default
 
 
+DEFAULT_HTTP_PORT = @CACHE_HTTP_PORT@
+DEFAULT_ICP_PORT = @CACHE_ICP_PORT@
 DEFAULT_PREFIX = $(prefix)
 DEFAULT_CONFIG_FILE = $(sysconfdir)/squid.conf
 DEFAULT_CACHEMGR_CONFIG = $(sysconfdir)/cachemgr.conf
@@ -1144,6 +1148,8 @@
 
 cf.data: cf.data.pre Makefile
 	sed "\
+	s%@DEFAULT_HTTP_PORT@%$(DEFAULT_HTTP_PORT)%g;\
+	s%@DEFAULT_ICP_PORT@%$(DEFAULT_ICP_PORT)%g;\
 	s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
 	s%@DEFAULT_DNSSERVER@%$(DEFAULT_DNSSERVER)%g;\
 	s%@DEFAULT_UNLINKD@%$(DEFAULT_UNLINKD)%g;\
diff -ruN squid-2.5.STABLE11/src/auth/Makefile.in squid-2.5.STABLE12/src/auth/Makefile.in
--- squid-2.5.STABLE11/src/auth/Makefile.in	Fri Mar 18 17:55:54 2005
+++ squid-2.5.STABLE12/src/auth/Makefile.in	Wed Sep 28 14:57:24 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for authentication modules in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.6.2.11 2005/03/19 00:55:54 hno Exp $
+#  $Id: Makefile.in,v 1.6.2.12 2005/09/28 20:57:24 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/auth/basic/Makefile.in squid-2.5.STABLE12/src/auth/basic/Makefile.in
--- squid-2.5.STABLE11/src/auth/basic/Makefile.in	Fri Mar 18 17:55:54 2005
+++ squid-2.5.STABLE12/src/auth/basic/Makefile.in	Wed Sep 28 14:57:24 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/auth/digest/Makefile.in squid-2.5.STABLE12/src/auth/digest/Makefile.in
--- squid-2.5.STABLE11/src/auth/digest/Makefile.in	Fri Mar 18 17:55:54 2005
+++ squid-2.5.STABLE12/src/auth/digest/Makefile.in	Wed Sep 28 14:57:24 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/auth/ntlm/Makefile.in squid-2.5.STABLE12/src/auth/ntlm/Makefile.in
--- squid-2.5.STABLE11/src/auth/ntlm/Makefile.in	Fri Mar 18 17:55:55 2005
+++ squid-2.5.STABLE12/src/auth/ntlm/Makefile.in	Wed Sep 28 14:57:24 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/cache_cf.c squid-2.5.STABLE12/src/cache_cf.c
--- squid-2.5.STABLE11/src/cache_cf.c	Thu Sep  1 16:04:51 2005
+++ squid-2.5.STABLE12/src/cache_cf.c	Wed Sep 28 15:42:33 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.396.2.29 2005/09/01 22:04:51 hno Exp $
+ * $Id: cache_cf.c,v 1.396.2.31 2005/09/28 21:42:33 hno Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -440,6 +440,8 @@
 		    Config.effectiveUser);
 	    Config2.effectiveUserID = pwd->pw_uid;
 	    Config2.effectiveGroupID = pwd->pw_gid;
+	    if (pwd->pw_dir && *pwd->pw_dir)
+		setenv("HOME", pwd->pw_dir, 1);
 	}
     } else {
 	Config2.effectiveUserID = geteuid();
diff -ruN squid-2.5.STABLE11/src/cf.data.pre squid-2.5.STABLE12/src/cf.data.pre
--- squid-2.5.STABLE11/src/cf.data.pre	Tue Sep 13 07:44:35 2005
+++ squid-2.5.STABLE12/src/cf.data.pre	Thu Oct 20 11:28:08 2005
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.245.2.99 2005/09/13 13:44:35 serassio Exp $
+# $Id: cf.data.pre,v 1.245.2.102 2005/10/20 17:28:08 hno Exp $
 #
 #
 # SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -56,7 +56,7 @@
 NAME: http_port ascii_port
 TYPE: sockaddr_in_list
 DEFAULT: none
-DEFAULT_IF_NONE: 3128
+DEFAULT_IF_NONE: @DEFAULT_HTTP_PORT@
 LOC: Config.Sockaddr.http
 DOC_START
 	Usage:	port
@@ -145,7 +145,7 @@
 
 NAME: icp_port udp_port
 TYPE: ushort
-DEFAULT: 3130
+DEFAULT: @DEFAULT_ICP_PORT@
 LOC: Config.Port.icp
 DOC_START
 	The port number where Squid sends and receives ICP queries to
@@ -505,7 +505,8 @@
 	A list of words which, if found in a URL, cause the object to
 	be handled directly by this cache.  In other words, use this
 	to not query neighbor caches for certain objects.  You may
-	list this option multiple times.
+	list this option multiple times. Note: never_direct overrides
+	this option.
 NOCOMMENT_START
 #We recommend you to use at least the following line.
 hierarchy_stoplist cgi-bin ?
@@ -2359,6 +2360,11 @@
 
 	Processing proceeds in the order specified, and stops at first fully
 	matching line.
+
+	Note: The use of this directive using client dependent ACLs is
+	incompatible with the use of server side persistent connetions. To
+	ensure correct results it is best to set server_persisten_connections
+	to off when using this directive in such configurations.
 DOC_END
 
 NAME: tcp_outgoing_address
@@ -2385,6 +2391,11 @@
 
 	Processing proceeds in the order specified, and stops at first fully
 	matching line.
+
+	Note: The use of this directive using client dependent ACLs is
+	incompatible with the use of server side persistent connetions. To
+	ensure correct results it is best to set server_persisten_connections
+	to off when using this directive in such configurations.
 DOC_END
 
 NAME: reply_header_max_size
diff -ruN squid-2.5.STABLE11/src/client_side.c squid-2.5.STABLE12/src/client_side.c
--- squid-2.5.STABLE11/src/client_side.c	Thu Sep 15 03:53:28 2005
+++ squid-2.5.STABLE12/src/client_side.c	Tue Oct 18 09:22:26 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.561.2.86 2005/09/15 09:53:28 hno Exp $
+ * $Id: client_side.c,v 1.561.2.89 2005/10/18 15:22:26 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -364,8 +364,7 @@
 	    } else {
 		debug(33, 1) ("clientRedirectDone: bad input: %s\n", result);
 	    }
-	}
-	if (strcmp(result, http->uri))
+	} else if (strcmp(result, http->uri))
 	    new_request = urlParse(old_request->method, result);
     }
     if (new_request) {
@@ -2450,7 +2449,7 @@
     debug(33, 4) ("clientProcessRequest: %s '%s'\n",
 	RequestMethodStr[r->method],
 	url);
-    if (r->method == METHOD_CONNECT) {
+    if (r->method == METHOD_CONNECT && !http->redirect.status) {
 	http->log_type = LOG_TCP_MISS;
 	sslStart(http, &http->out.size, &http->al.http.code);
 	return;
@@ -2514,6 +2513,7 @@
     ErrorState *err = NULL;
     debug(33, 4) ("clientProcessMiss: '%s %s'\n",
 	RequestMethodStr[r->method], url);
+    http->flags.hit = 0;
     /*
      * We might have a left-over StoreEntry from a failed cache hit
      * or IMS request.
@@ -2749,7 +2749,7 @@
 #endif
 
     /* handle direct internal objects */
-    if (!Config2.Accel.on && internalCheck(url)) {
+    if ((!Config2.Accel.on || Config.onoff.global_internal_static) && internalCheck(url)) {
 	/* prepend our name & port */
 	http->uri = xstrdup(internalLocalUri(NULL, url));
 	http->flags.accel = 1;
@@ -3145,8 +3145,8 @@
 	    request->flags.accelerated = http->flags.accel;
 	    if (!http->flags.internal) {
 		if (internalCheck(strBuf(request->urlpath))) {
-		    if (internalHostnameIs(request->host) &&
-			request->port == ntohs(Config.Sockaddr.http->s.sin_port)) {
+		    if (internalHostnameIs(request->host)) {
+			request->port = ntohs(Config.Sockaddr.http->s.sin_port);
 			http->flags.internal = 1;
 		    } else if (Config.onoff.global_internal_static && internalStaticCheck(strBuf(request->urlpath))) {
 			xstrncpy(request->host, internalHostname(), SQUIDHOSTNAMELEN);
diff -ruN squid-2.5.STABLE11/src/delay_pools.c squid-2.5.STABLE12/src/delay_pools.c
--- squid-2.5.STABLE11/src/delay_pools.c	Sat Sep 10 19:49:53 2005
+++ squid-2.5.STABLE12/src/delay_pools.c	Thu Oct 20 11:30:31 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: delay_pools.c,v 1.19.2.9 2005/09/11 01:49:53 hno Exp $
+ * $Id: delay_pools.c,v 1.19.2.11 2005/10/20 17:30:31 hno Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <david@luyer.net>
@@ -375,6 +375,7 @@
 	    delay_data[pool].class3->network[255] =
 		(int) (((double) Config.Delay.rates[pool]->network.max_bytes *
 		    Config.Delay.initial) / 100);
+	    delay_data[pool].class3->individual_map[i][0] = 255;
 	}
     } else {
 	for (i = 0; i < NET_MAP_SZ; i++) {
@@ -490,7 +491,7 @@
      * this loop starts at 0 or 255 and ends at 254 unless terminated earlier
      * by finding the end of the map.  note as above that 255 + 1 = 0.
      */
-    for (i = (class3->network_255_used ? 0 : 255);; ++i) {
+    for (i = (class3->network_255_used ? 255 : 0);; ++i) {
 	if (i != 255 && class3->network_map[i] == 255)
 	    return;
 	if (individual_restore_bytes != -incr) {
@@ -676,8 +677,11 @@
 	    d = sc->delay_id;
 	}
     }
-    if (jmax >= 0 && jmax < (int) *read_sz)
+    if (jmax >= 0 && jmax < (int) *read_sz) {
+	if (jmax == 0)
+	    jmax = 1;
 	*read_sz = (size_t) jmax;
+    }
     return d;
 }
 
diff -ruN squid-2.5.STABLE11/src/fqdncache.c squid-2.5.STABLE12/src/fqdncache.c
--- squid-2.5.STABLE11/src/fqdncache.c	Mon Feb 21 09:59:45 2005
+++ squid-2.5.STABLE12/src/fqdncache.c	Wed Sep 28 15:47:58 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fqdncache.c,v 1.149.2.7 2005/02/21 16:59:45 hno Exp $
+ * $Id: fqdncache.c,v 1.149.2.8 2005/09/28 21:47:58 hno Exp $
  *
  * DEBUG: section 35    FQDN Cache
  * AUTHOR: Harvest Derived
@@ -299,19 +299,20 @@
     debug(35, 3) ("fqdncacheParse: %d answers for '%s'\n", nr, name);
     assert(answers);
     for (k = 0; k < nr; k++) {
-	if (answers[k].type != RFC1035_TYPE_PTR)
-	    continue;
 	if (answers[k].class != RFC1035_CLASS_IN)
 	    continue;
-	if (!answers[k].rdata[0]) {
-	    debug(35, 2) ("fqdncacheParse: blank PTR record for '%s'\n", name);
-	    continue;
-	}
-	if (strchr(answers[k].rdata, ' ')) {
-	    debug(35, 2) ("fqdncacheParse: invalid PTR record '%s' for '%s'\n", answers[k].rdata, name);
+	if (answers[k].type == RFC1035_TYPE_PTR) {
+	    if (!answers[k].rdata[0]) {
+		debug(35, 2) ("fqdncacheParse: blank PTR record for '%s'\n", name);
+		continue;
+	    }
+	    if (strchr(answers[k].rdata, ' ')) {
+		debug(35, 2) ("fqdncacheParse: invalid PTR record '%s' for '%s'\n", answers[k].rdata, name);
+		continue;
+	    }
+	    f->names[f->name_count++] = xstrdup(answers[k].rdata);
+	} else if (answers[k].type != RFC1035_TYPE_CNAME)
 	    continue;
-	}
-	f->names[f->name_count++] = xstrdup(answers[k].rdata);
 	if (ttl == 0 || answers[k].ttl < ttl)
 	    ttl = answers[k].ttl;
 	if (f->name_count >= FQDN_MAX_NAMES)
diff -ruN squid-2.5.STABLE11/src/fs/Makefile.in squid-2.5.STABLE12/src/fs/Makefile.in
--- squid-2.5.STABLE11/src/fs/Makefile.in	Fri Mar 18 17:55:55 2005
+++ squid-2.5.STABLE12/src/fs/Makefile.in	Wed Sep 28 14:57:26 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.8.2.12 2005/03/19 00:55:55 hno Exp $
+#  $Id: Makefile.in,v 1.8.2.13 2005/09/28 20:57:26 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/fs/aufs/Makefile.in squid-2.5.STABLE12/src/fs/aufs/Makefile.in
--- squid-2.5.STABLE11/src/fs/aufs/Makefile.in	Fri Mar 18 17:55:55 2005
+++ squid-2.5.STABLE12/src/fs/aufs/Makefile.in	Wed Sep 28 14:57:27 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/fs/coss/Makefile.in squid-2.5.STABLE12/src/fs/coss/Makefile.in
--- squid-2.5.STABLE11/src/fs/coss/Makefile.in	Fri Mar 18 17:55:55 2005
+++ squid-2.5.STABLE12/src/fs/coss/Makefile.in	Wed Sep 28 14:57:27 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/fs/diskd/Makefile.in squid-2.5.STABLE12/src/fs/diskd/Makefile.in
--- squid-2.5.STABLE11/src/fs/diskd/Makefile.in	Fri Mar 18 17:55:56 2005
+++ squid-2.5.STABLE12/src/fs/diskd/Makefile.in	Wed Sep 28 14:57:27 2005
@@ -16,7 +16,7 @@
 #
 #  Makefile for the DISKD storage driver for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.6.2.10 2005/03/19 00:55:56 hno Exp $
+#  $Id: Makefile.in,v 1.6.2.11 2005/09/28 20:57:27 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -71,6 +71,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/fs/null/Makefile.in squid-2.5.STABLE12/src/fs/null/Makefile.in
--- squid-2.5.STABLE11/src/fs/null/Makefile.in	Fri Mar 18 17:55:56 2005
+++ squid-2.5.STABLE12/src/fs/null/Makefile.in	Wed Sep 28 14:57:27 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/fs/ufs/Makefile.in squid-2.5.STABLE12/src/fs/ufs/Makefile.in
--- squid-2.5.STABLE11/src/fs/ufs/Makefile.in	Fri Mar 18 17:55:56 2005
+++ squid-2.5.STABLE12/src/fs/ufs/Makefile.in	Wed Sep 28 14:57:28 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/ftp.c squid-2.5.STABLE12/src/ftp.c
--- squid-2.5.STABLE11/src/ftp.c	Sat Sep 10 19:49:53 2005
+++ squid-2.5.STABLE12/src/ftp.c	Tue Oct 18 09:26:49 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.c,v 1.316.2.32 2005/09/11 01:49:53 hno Exp $
+ * $Id: ftp.c,v 1.316.2.33 2005/10/18 15:26:49 hno Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -438,7 +438,7 @@
     storeAppendPrintf(e, "</PRE>\n");
     if (ftpState->flags.listformat_unknown && !ftpState->flags.tried_nlst) {
 	storeAppendPrintf(e, "<A HREF=\"%s/;type=d\">[As plain directory]</A>\n",
-	    ftpState->flags.dir_slash ? rfc1738_escape_part(ftpState->filepath) : ".");
+	    ftpState->flags.dir_slash ? rfc1738_escape_part(ftpState->old_filepath) : ".");
     } else if (ftpState->typecode == 'D') {
 	const char *path = ftpState->flags.dir_slash ? ftpState->filepath : ".";
 	storeAppendPrintf(e, "<A HREF=\"%s/\">[As extended directory]</A>\n", html_quote(path));
@@ -714,12 +714,23 @@
 		"%2f/",
 		"Root Directory");
 	} else if (ftpState->flags.no_dotdot && !ftpState->flags.root_dir) {
+	    char *url;
 	    /* Normal directory where last component is / or ..  */
 	    strcpy(href, "%2e%2e/");
 	    strcpy(text, "Parent Directory");
-	    snprintf(link, 2048, "(<A HREF=\"%s\">%s</A>)",
-		!ftpState->flags.dir_slash ? "../" : "./",
-		"Back");
+	    if (ftpState->flags.dir_slash) {
+		url = xstrdup("./");
+	    } else {
+		const char *title = strBuf(ftpState->title_url);
+		int k = 6 + strcspn(&title[6], "/");
+		char *t;
+		url = xstrdup(title + k);
+		t = url + strlen(url) - 2;
+		while (t > url && *t != '/')
+		    *t-- = '\0';
+	    }
+	    snprintf(link, 2048, "(<A HREF=\"%s\">%s</A>)", url, "Back");
+	    safe_free(url);
 	} else {		/* NO_DOTDOT && ROOT_DIR */
 	    /* "UNIX Root" directory */
 	    strcpy(href, "/");
@@ -1053,6 +1064,8 @@
 	ftpState->flags.isdir = 1;
 	if (l == 1)
 	    ftpState->flags.root_dir = 1;
+    } else {
+	ftpState->flags.dir_slash = 1;
     }
 }
 
@@ -1668,11 +1681,10 @@
 static void
 ftpListDir(FtpStateData * ftpState)
 {
-    if (!ftpState->flags.isdir) {
+    if (ftpState->flags.dir_slash) {
 	debug(9, 3) ("Directory path did not end in /\n");
 	strCat(ftpState->title_url, "/");
 	ftpState->flags.isdir = 1;
-	ftpState->flags.dir_slash = 1;
     }
     ftpSendPasv(ftpState);
 }
diff -ruN squid-2.5.STABLE11/src/http.c squid-2.5.STABLE12/src/http.c
--- squid-2.5.STABLE11/src/http.c	Sat Sep 10 19:49:54 2005
+++ squid-2.5.STABLE12/src/http.c	Tue Oct 18 09:09:56 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.c,v 1.384.2.32 2005/09/11 01:49:54 hno Exp $
+ * $Id: http.c,v 1.384.2.34 2005/10/18 15:09:56 hno Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -738,7 +738,10 @@
 #endif
 		    comm_remove_close_handler(fd, httpStateFree, httpState);
 		    fwdUnregister(fd, httpState->fwd);
-		    pconnPush(fd, request->host, request->port);
+		    if (request->flags.accelerated && Config.Accel.single_host && Config.Accel.host)
+			pconnPush(fd, Config.Accel.host, Config.Accel.port);
+		    else
+			pconnPush(fd, request->host, request->port);
 		    fwdComplete(httpState->fwd);
 		    httpState->fd = -1;
 		    httpStateFree(fd, httpState);
@@ -838,7 +841,7 @@
     HttpHeaderPos pos = HttpHeaderInitPos;
     httpHeaderInit(hdr_out, hoRequest);
     /* append our IMS header */
-    if (request->lastmod > -1 && request->method == METHOD_GET)
+    if (request->lastmod > -1)
 	httpHeaderPutTime(hdr_out, HDR_IF_MODIFIED_SINCE, request->lastmod);
 
     /* decide if we want to do Ranges ourselves 
diff -ruN squid-2.5.STABLE11/src/ipcache.c squid-2.5.STABLE12/src/ipcache.c
--- squid-2.5.STABLE11/src/ipcache.c	Sat Feb 12 22:53:56 2005
+++ squid-2.5.STABLE12/src/ipcache.c	Wed Sep 28 15:47:58 2005
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipcache.c,v 1.236.2.6 2005/02/13 05:53:56 hno Exp $
+ * $Id: ipcache.c,v 1.236.2.7 2005/09/28 21:47:58 hno Exp $
  *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
@@ -353,18 +353,19 @@
     i->addrs.in_addrs = xcalloc(na, sizeof(struct in_addr));
     i->addrs.bad_mask = xcalloc(na, sizeof(unsigned char));
     for (j = 0, k = 0; k < nr; k++) {
-	if (answers[k].type != RFC1035_TYPE_A)
-	    continue;
 	if (answers[k].class != RFC1035_CLASS_IN)
 	    continue;
-	if (answers[k].rdlength != 4)
+	if (answers[k].type == RFC1035_TYPE_A) {
+	    if (answers[k].rdlength != 4)
+		continue;
+	    xmemcpy(&i->addrs.in_addrs[j++], answers[k].rdata, 4);
+	    debug(14, 3) ("ipcacheParse: #%d %s\n",
+		j - 1,
+		inet_ntoa(i->addrs.in_addrs[j - 1]));
+	} else if (answers[k].type != RFC1035_TYPE_CNAME)
 	    continue;
 	if (ttl == 0 || ttl > answers[k].ttl)
 	    ttl = answers[k].ttl;
-	xmemcpy(&i->addrs.in_addrs[j++], answers[k].rdata, 4);
-	debug(14, 3) ("ipcacheParse: #%d %s\n",
-	    j - 1,
-	    inet_ntoa(i->addrs.in_addrs[j - 1]));
     }
     i->addrs.count = (unsigned char) na;
     if (ttl == 0 || ttl > Config.positiveDnsTtl)
diff -ruN squid-2.5.STABLE11/src/repl/Makefile.in squid-2.5.STABLE12/src/repl/Makefile.in
--- squid-2.5.STABLE11/src/repl/Makefile.in	Fri Mar 18 17:55:56 2005
+++ squid-2.5.STABLE12/src/repl/Makefile.in	Wed Sep 28 14:57:28 2005
@@ -15,7 +15,7 @@
 
 #  Makefile for storage modules in the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.7.2.12 2005/03/19 00:55:56 hno Exp $
+#  $Id: Makefile.in,v 1.7.2.13 2005/09/28 20:57:28 hno Exp $
 #
 
 SHELL = @SHELL@
@@ -70,6 +70,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/repl/heap/Makefile.in squid-2.5.STABLE12/src/repl/heap/Makefile.in
--- squid-2.5.STABLE11/src/repl/heap/Makefile.in	Fri Mar 18 17:55:56 2005
+++ squid-2.5.STABLE12/src/repl/heap/Makefile.in	Wed Sep 28 14:57:28 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
diff -ruN squid-2.5.STABLE11/src/repl/lru/Makefile.in squid-2.5.STABLE12/src/repl/lru/Makefile.in
--- squid-2.5.STABLE11/src/repl/lru/Makefile.in	Fri Mar 18 17:55:56 2005
+++ squid-2.5.STABLE12/src/repl/lru/Makefile.in	Wed Sep 28 14:57:29 2005
@@ -65,6 +65,8 @@
 AUTH_OBJS = @AUTH_OBJS@
 AWK = @AWK@
 BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
 CC = @CC@
 CGIEXT = @CGIEXT@
 CPP = @CPP@
